package main

import (
	"fmt"
	"time"
)

func main() {
	fmt.Println("language priorites:", Map2Str(PreferredLanguages))
	fmt.Println("subtitle priorites:", Map2Str(PreferredSubtitles))
	fmt.Println("resolution priorites:", Map2Str(PreferredResolutions))

	// get access token once at startup to be sure that an access token is obtainable at all
	if _, err := GetAnilistAccessToken(); err != nil {
		panic(err)
	}

	ticker := time.NewTicker(PollRate)
	defer ticker.Stop()

	checkTorrents()
	for range ticker.C {
		checkTorrents()
	}
}
